// VC.NetDlg.h : header file
//

#pragma once


// CVCNetDlg dialog
class CVCNetDlg : public CDialog
{
// Construction
public:
	CVCNetDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VCNET_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	long m_nV1;
	long m_nV2;
	long m_nV3;
	BOOL m_bDraw;
	char szFileName[MAX_PATH];
	HINSTANCE hInst;
	typedef void (__stdcall *MAKE)(unsigned char* ucData, 
	long nDataLen, char* szBmpFileName,long nClumn, long nErr, long nHLRatio, 
	long nHeight);
	typedef int (__stdcall *MIXTEXT)(const char* szSrcBmpFileName, 
											const char* szDstBmpFileName,
											char* szText,
											long lFontSize,
											long lTxtHeight,
											long lHmargin,
											long lVmargin,
											long lTxtCntOneLine);
	typedef int  (__stdcall *SETCOLORDEPTH)(int nDepth);

	typedef int  (__stdcall *GETCOLORDEPTH)();
	MAKE Make;
	MIXTEXT MixText;
	SETCOLORDEPTH SetColorDepth;
	GETCOLORDEPTH GetColorDepth;

public:
	afx_msg void OnBnClickedButton1();
public:
	afx_msg void OnBnClickedButton2();
public:
	afx_msg void OnBnClickedButton3();
	afx_msg void OnClose(); 
//public:
	//CString m_nV4;
public:
	long m_nV4;
public:
	long m_nV5;
public:
	long m_nV6;
//public:
	//long m_nV7;
public:
	long m_nV8;
public:
	long m_nV9;
public:
	long m_nV10;
public:
	long m_nV11;
public:
	CString m_nV7;
};
